We're sorry Aspose doesn't work properply without JavaScript enabled.

Free Support Forum - aspose.com

Aspose PDF SetLicense throws under net6.0

As mentioned here:
Issue with Aspose PDF library under net6.0 · Issue #59327 · dotnet/runtime (github.com)

Tested with multiple versions up to the latest on nuget, all fail on the call to SetLicense.

1 Like

@rafaeloliveira

A ticket with ID PDFNET-50608 has been created in our issue tracking system to further investigate the issue on our end. However, please remove the evaluation license from the repository. This thread has been linked with the issue so that you may be notified once the issue will be fixed.

1 Like

Hi @mudassir.fayyaz and thanks for the reply. I’ve added the license in the repository to make it easier for the dotnet team to reproduce the issue, in case this is related to a bug in the upcoming .net 6.0 release. Why is it an issue to have the evaluation license there? It will expire anyway in a month right? Could you provide another temporary license I can add there instead?

@rafaeloliveira

Our policy does not allow to share a license publicly even if its a temporary license. However, you can share the license in an email with dotnet team. Furthermore, you can get new temporary license or extension to previous license by posting your request in our purchase forum.

Same issue with NET6 RC2

@tfipsrd

Thank you for reporting it. I have associated that in our issue tracking system and will share the feedback with you as soon as it will be fixed.

Same issue with the full . net6.0 release.

3 Likes

same here with full net 6.0 release, I hope this can be resolved soon

@peter0302 @evan

This ETA for this issue is Aspose.PDF for .NET 21.11 which will be released soon. We request for your patience and will share the good news with you as soon as the issue will be fixed.

We are sorry for the inconvenience.

1 Like

So you are not going to offer a fix for the old versions I take it?

@peter0302

I am afraid we can not fix issues in old versions so you would need to upgrade once it gets fixed.

any estimated time to fix? we wanted to try the library but it seems not to be working at all :confused:

A post was split to a new topic: I will not be paying for another upgrade to a product that is supposed to be .Net Standard compatible

Can this be made a higher priority

1 Like

@simoncropp

We would like to share with you that the issue related to license settings under .NET 6.0 will be fixed in upcoming API release i.e. Aspose.PDF for .NET 21.11.

we already know that (previous posts). The question is - “when”?

@recdevs

The update is under review phase now and it will be released during this week.

1 Like

@recdevs

We would like to share that Aspose.PDF for .NET 21.11 has been released. You can please update the API version at your end and feel free to let us know in case you still notice any issue.

Good evening, I’m still having issues with the TargetFramework of net6.0 and with calls to License.SetLicense(Stream) in the following products

Aspose.Email - 21.11.0
Aspose.Html - 21.11.0
Aspose.Pdf - 21.11.0

Based on release notes for Aspose.Pdf I would have not expected to run into an issue.

I tried to find a blog post or something detailing compatibility with .NET 6.0 but was unable to. If you have it can you provide me a link. If you don’t - have you thought about it so that customers can know when to expect net6.0 compatibility.

Thank you!

Are you actually running tests against net6?